﻿
@model UserModel
@{
    string urlCheckavailabilityUser = Url.Action(MVC.CMSUser.CheckavailabilityUser());
}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add User</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Add User</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.CMSUser.Add(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddUser" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    <div class="form-group">
                        <label class="col-md-3 control-label">Full Name <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.FullName, new { @class = "form-control", @required="required" })
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-md-3 control-label">Username<span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Username, new { @class = "form-control", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Password<span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Password, new { @class = "form-control", @type = "password", @required = "required" })
                        </div>
                    </div>
                    
                    <div class="form-group">
                        <label class="col-md-3 control-label">Confirm Password <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.ReEnterPassword, new { @class = "form-control", @type = "password", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Email </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Email, new { @class = "form-control user-email-check" })
                        </div>
                    </div>

                    <div class="form-group role">
                        <label class="col-md-3 control-label">CMS Role <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.CMSRoleID, ViewBag.ListRole as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-cmsrole", @required = "required" })
                        </div>
                    </div>
                    if (ViewBag.IsHidden)
                    {
                        <div class="form-group parent hidden">
                            <label class="col-md-3 control-label">Parent</label>
                            <div class="col-md-9 list-parent">
                                @Html.DropDownListFor(x => x.ParentID, ViewBag.ListParent as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-parent"})
                            </div>
                        </div>
                    }
                    else
                    {
                        <div class="form-group parent">
                            <label class="col-md-3 control-label">Parent</label>
                            <div class="col-md-9 list-parent">
                                @Html.DropDownListFor(x => x.ParentID, ViewBag.ListParent as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix ddl-parent"})
                            </div>
                        </div>
                    }
                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
<script src="@Links.Assets.assets.js.CMSUser.Parent_js?v2"></script>
    <script>
        var CMSUserController = new CMSUserController();
        $(document).ready(function () {
            CMSUserController.url_populate_parent = '@Url.Action(MVC.CMSUser.GeneratedParent())';
            CMSUserController.Initialize();
            //===== Validation =====//
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formAddUser").validate();

            $('.user-email-check').change(function () {
                var value = $(this).val()
                $('#user-email-check-error').remove();
                ShowLoader();
                if (value != "" && value != null)
                {
                    $.ajax({
                        url: "@urlCheckavailabilityUser",
                        type: "POST",
                        contentType: "application/json",
                        data: '{"ID":"0","KeyType":"' + 'Email' + '","Value":"' + value + '"}',
                        async: true,
                        success: function (res) {
                            console.log(res);
                            if (res != null) {
                                HideLoader();
                                if (!res.IsAvailable) {
                                    console.log('border-color');
                                    $('.user-email-check').css('border-color', 'red');
                                    $('<span id="user-email-check-error" style="color:red">' + res.Message + '</span>').insertAfter('.user-email-check');
                                } else {
                                    $('.user-email-check').css('border-color', '#ccc');
                                }
                            }
                        },
                        error: function (ex, msg, detail) {
                            console.log(ex);
                            alert("error : " + detail);
                            HideLoader();
                        }
                    });
                }
                else
                {
                    $('.user-email-check').css('border-color', '#ccc');
                    HideLoader();
                }
                
            });

        });
    </script>
}